/******************************************************************************/
/* File:   Max32USB.h                                                        */
/* Author: TFM                                                                */
/* Created; June 29, 2012                                                     */
/*                                                                            */
/******************************************************************************/


#ifndef MAX32USB_H
#define	MAX32USB_H

#include <plib.h>            // Include to use PIC32 peripheral libraries


/*******************************************************************************
* Section: Function Prototypes
*******************************************************************************/

void init_MicroUSB( UINT32 ulWantedBaud );
void OpenMaxUSB(UINT32 sourceClock, UINT32 dataRate);
void PutUSBarray(const char *buffer, int size);
void PutUSBstring(const char *buffer);
UINT32 GetUSBarray(char *buffer, int max_size);
void PutUSBbyte(UINT8 Data);
UINT8 GetUSBbyte(void);
void menuUSBchoice(void);

#endif




