#include "SystemConfig.h"

void MainScreen(void)
{
    clrScr();
    fillScr(100,100,100);
    

    setBackColor(100,100,100);
    setForColor(0,30,0);

    drawCircle(140, 357, 5, 1);
    drawCircle(424, 357, 5, 1);
    drawCircle(709, 357, 5, 1);

    drawCircle(283, 229, 5, 1);
    drawCircle(565, 229, 5, 1);

    drawCircle(140, 100, 5, 1);
    drawCircle(424, 100, 5, 1);
    drawCircle(709, 100, 5, 1);

    printString("Hello World", 310, 232);

}

void MainResponse(void)
{
    if(ServiceRequests.TS_DIR)
    {
        MainDeselect(0, 0, 0, 0, 0);
    }
    else
    {
        MainSelect(0, 0, 0, 0, 0);
    }
       
}

void MainSelect(UINT16 x1, UINT16 y1, UINT16 x2, UINT16 y2, UINT8 w )
{
    ServiceRequests.TS_DIR = 1;
    ServiceRequests.TS_DWN = 0;
    ConfigINT3(EXT_INT_PRI_3 | RISING_EDGE_INT | EXT_INT_ENABLE);
}

void MainDeselect(UINT16 x1, UINT16 y1, UINT16 x2, UINT16 y2, UINT8 w )
{
    unsigned long t;

    t = TickGet(0);                                     //Zero timer
    do{
       if (! TS_IRQ) t = TickGet(0);                    //Wait for touch screen release
    }while((TickGet(0) - t) < TS_DB_EXIT);              //Debounce touch screen then exit.

    ServiceRequests.TS_DIR = 0;
    ServiceRequests.TS_UP = 0;
    ConfigINT3(EXT_INT_PRI_3 | FALLING_EDGE_INT | EXT_INT_ENABLE);
}